digiKam Developer Documentation: Digikam::CurvesWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::CurvesWidget Class Reference
Inheritance diagram for Digikam::CurvesWidget:

## Public Slots
void | setChannelType (ChannelType channel)
void | setScaleType (HistogramScale scale)

## Signals
void | signalCurvesChanged ()
void | signalHistogramComputationDone ()
void | signalHistogramComputationFailed ()
void | signalMouseMoved (int x, int y)

## Public Member Functions
| CurvesWidget (int w, int h, QWidget *const parent, bool readOnly=false)
ImageCurves * | curves () const
void | curveTypeChanged ()
bool | isSixteenBits () const
void | reset ()
| Resets the ui including the user specified curve.
void | resetUI ()
| Resets only the ui and keeps the curve.
void | restoreCurve (const KConfigGroup &group, const QString &prefix)
| Restores the curve tfrom the given group with prefix as a prefix for the curve point config entries.
void | saveCurve (KConfigGroup &group, const QString &prefix)
| Saves the currently created curve to the given group with prefix as a prefix for the curve point config entries.
void | setCurveGuide (const DColor &color)
void | setDataLoading ()
void | setLoadingFailed ()
void | setup (int w, int h, bool readOnly)
void | stopHistogramComputation ()
| Stop current histogram computations.
void | updateData (const DImg &img)
| Updates the image data the curve should be used for.

## Protected Slots
void | slotCalculationFinished (bool success)
void | slotCalculationStarted ()
void | slotProgressTimerDone ()

## Protected Member Functions
void | leaveEvent (QEvent *) override
void | mouseMoveEvent (QMouseEvent *) override
void | mousePressEvent (QMouseEvent *) override
void | mouseReleaseEvent (QMouseEvent *) override
void | paintEvent (QPaintEvent *) override

## Member Function Documentation

## ◆ restoreCurve()

void Digikam::CurvesWidget::restoreCurve | ( | const KConfigGroup & | group,
|  | const QString & | prefix
| ) |  |

Parameters

  group | the group to restore the curve from
  prefix | the prefix prepended to the point numbers in the config

## ◆ saveCurve()

void Digikam::CurvesWidget::saveCurve | ( | KConfigGroup & | group,
|  | const QString & | prefix
| ) |  |

Parameters

  group | the group to save the curve to
  prefix | the prefix prepended to the point numbers in the config

## ◆ updateData()

void Digikam::CurvesWidget::updateData | ( | const DImg & | img | ) |

Parameters

  img | image data